%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% TB_r2fft.m    : testbench of radix 2 fft
% author        : duweitao
% date          : 2008.May.25
% version       : 0.1
% modify        : initial version
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function tb = TB_r2fft()
  
  cfg           = GenCfg();      % generate simulation config
  simData       = SimInit(cfg);  % init the simulation data
  simData       = ModelRun(cfg,simData);    % run model
  WrOutInput(cfg, simData);     % write the data for C code
  tb.cfg        = cfg;          % wrtie out config
  tb.simData    = simData;      % write out simulation data

end
